| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ChatStateMap Struct Reference
Types and constants » Mapping types

`#include <TelepathyQt/Types>`

Inheritance diagram for Tp::ChatStateMap:
[legend]

## Public Member Functions

| ChatStateMap ()
| ChatStateMap (const QMap< uint, uint > &a)
ChatStateMap & | operator= (const QMap< uint, uint > &a)
Public Member Functions inherited from QMap< uint, uint >
| QMap ()
| QMap (const QMap< Key, T > &other)
| QMap (const std::map< Key, T > &other)
| ~QMap ()
QMap< Key, T > & | operator= (const QMap< Key, T > &other)
void | swap (QMap< Key, T > &other)
std::map< Key, T > | toStdMap () const
bool | operator== (const QMap< Key, T > &other) const
bool | operator!= (const QMap< Key, T > &other) const
int | size () const
bool | isEmpty () const
void | clear ()
int | remove (const Key &key)
iterator | remove (iterator it)
T | take (const Key &key)
bool | contains (const Key &key) const
const Key | key (const T &value) const
const Key | key (const T &value, const Key &defaultKey) const
const T | value (const Key &key) const
const T | value (const Key &key, const T &defaultValue) const
T & | operator[] (const Key &key)
const T | operator[] (const Key &key) const
QList< Key > | uniqueKeys () const
QList< Key > | keys () const
QList< Key > | keys (const T &value) const
QList< T > | values () const
QList< T > | values (const Key &key) const
int | count (const Key &key) const
int | count () const
iterator | begin ()
const_iterator | begin () const
const_iterator | constBegin () const
iterator | end ()
const_iterator | end () const
const_iterator | constEnd () const
iterator | erase (iterator pos)
void | erase (const Key &key)
iterator | find (const Key &key)
const_iterator | find (const Key &key) const
const_iterator | constFind (const Key &key) const
iterator | lowerBound (const Key &key)
const_iterator | lowerBound (const Key &key) const
iterator | upperBound (const Key &key)
const_iterator | upperBound (const Key &key) const
iterator | insert (const Key &key, const T &value)
iterator | insert (const Key &key, const T &value, bool overwrite)
iterator | insertMulti (const Key &key, const T &value)
iterator | replace (const Key &key, const T &value)
QMap< Key, T > & | unite (const QMap< Key, T > &other)
bool | empty () const

## Additional Inherited Members

Public Attributes inherited from QMap< uint, uint >
typedef | Iterator
typedef | ConstIterator
typedef | key_type
typedef | mapped_type
typedef | difference_type
typedef | size_type

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt type system.

A map from contacts to their chat states.

## Constructor & Destructor Documentation

## § ChatStateMap() [1/2]

Tp::ChatStateMap::ChatStateMap | ( |  | ) |

inline

## § ChatStateMap() [2/2]

Tp::ChatStateMap::ChatStateMap | ( | const QMap< uint, uint > & | a | ) |

inline

## Member Function Documentation

## § operator=()

ChatStateMap& Tp::ChatStateMap::operator= | ( | const QMap< uint, uint > & | a | ) |

inline